# Copyright (C) 2024 ETH Zurich
# Institute for Particle Physics and Astrophysics
# Author: Silvan Fischbacher
# created: Fri Aug 30 2024

# This file contains the model names and citations for the models.

ALL_MODELS = ["Moser+24", "Fischbacher+24"]

CITE_MOSER24 = """
@article{Moser:2024,
	title        = {{Simulation-based inference of deep fields: galaxy population model and redshift distributions}},
	author       = {Moser, Beatrice and Kacprzak, Tomasz and Fischbacher, Silvan and Refregier, Alexandre and Grimm, Dominic and Tortorelli, Luca},
	year         = 2024,
	journal      = {JCAP},
	volume       = {05},
	pages        = {049},
	doi          = {10.1088/1475-7516/2024/05/049},
	eprint       = {2401.06846},
	archiveprefix = {arXiv},
	primaryclass = {astro-ph.CO}
}

"""

CITE_FISCHBACHER24 = """
@misc{fischbacher2024GalSBI_phenomenological,
	title        = {GalSBI: Phenomenological galaxy population model for cosmology using simulation-based inference},
	author       = {Silvan Fischbacher and Tomasz Kacprzak and Luca Tortorelli and Beatrice Moser and Alexandre Refregier and Patrick Gebhardt and Daniel Gruen},
	year         = 2024,
	url          = {https://arxiv.org/abs/2412.08701},
	eprint       = {2412.08701},
	archiveprefix = {arXiv},
	primaryclass = {astro-ph.CO}
}
"""

CITE_UFIG = """
@misc{fischbacher2024ufig,
	title        = {$\texttt{UFig v1}$: The ultra-fast image generator},
	author       = {Silvan Fischbacher and Beatrice Moser and Tomasz Kacprzak and Luca Tortorelli and Joerg Herbel and Claudio Bruderer and Uwe Schmitt and Alexandre Refregier and Joel Berge and Lukas Gamper and Adam Amara},
	year         = 2024,
	url          = {https://arxiv.org/abs/2412.08716},
	eprint       = {2412.08716},
	archiveprefix = {arXiv},
	primaryclass = {astro-ph.IM}
}
"""

CITE_GALSBI = """
@misc{fischbacher2024galsbi_package,
	title        = {$\texttt{galsbi}$: A Python package for the GalSBI galaxy population model},
	author       = {Silvan Fischbacher and Beatrice Moser and Tomasz Kacprzak and Joerg Herbel and Luca Tortorelli and Uwe Schmitt and Alexandre Refregier and Adam Amara},
	year         = 2024,
	url          = {https://arxiv.org/abs/2412.08722},
	eprint       = {2412.08722},
	archiveprefix = {arXiv},
	primaryclass = {astro-ph.CO}
}
"""
